package com.fs.live.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveQuestionBank;

import java.util.List;

public interface ILiveQuestionBankService extends IService<LiveQuestionBank> {

    /**
     * 查询题库列表
     * @param title 题
     * @return 题库
     */
    List<LiveQuestionBank> selectLiveQuestionBankList(String title);

    /**
     * 新增题
     *
     * @param liveQuestionBank 题
     * @param username         用户名
     * @return 受影响行数
     */
    int insertLiveQuestionBank(LiveQuestionBank liveQuestionBank, String username);

    /**
     * 修改题目
     * @param liveQuestionBank 题目
     * @param username 用户名
     * @return  受影响行数
     */
    int updateLiveQuestionBank(LiveQuestionBank liveQuestionBank, String username);

    /**
     * 删除题目
     * @param ids ID集合
     * @return 受影响行数
     */
    int deleteLiveQuestionBankByIds(Long[] ids);
}
