package com.fs.live.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveQuestionLive;
import com.fs.live.vo.LiveQuestionLiveVO;

import java.util.List;

public interface ILiveQuestionLiveService extends IService<LiveQuestionLive> {

    /**
     * 查询直播间题目列表
     * @param liveId    直播间ID
     * @return  list
     */
    List<LiveQuestionLiveVO> selectLiveQuestionLiveList(Long liveId);

    /**
     * 添加直播间题目
     * @param liveId    直播间ID
     * @param questionIds   题目ID集合
     * @param username  用户名称
     * @return  是否成功
     */
    boolean insertLiveQuestion(Long liveId, List<Long> questionIds, String username);

    /**
     * 删除直播间题目
     * @param liveId 直播间ID
     * @param ids   题目集合
     * @return 受影响行数
     */
    int deleteLiveQuestionByIds(Long liveId, List<Long> ids);

    /**
     * 查询未被直播间选择的题目列表
     * @param liveId    直播间ID
     * @param title     标题
     * @return  list
     */
    List<LiveQuestionLiveVO> selectLiveQuestionOptionList(Long liveId, String title);
}
